Package org.gradle.plugins.ide.eclipse.model

## Class Library

- java.lang.Object
- - org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry
  - - org.gradle.plugins.ide.eclipse.model.AbstractLibrary
    - - org.gradle.plugins.ide.eclipse.model.Library

- All Implemented Interfaces:
    `ClasspathEntry`
  Direct Known Subclasses:
    `UnresolvedLibrary`

      public class Library
      extends AbstractLibrary

  A classpath entry representing a library.

- - ### Field Summary

    - ### Fields inherited from class org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

      `accessRules, COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE, entryAttributes, exported, path`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Library​(Node node, org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)` |
    `Library​(FileReference library)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getKind()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.gradle.plugins.ide.eclipse.model.AbstractLibrary

      `appendNode, equals, getJavadocPath, getLibrary, getModuleVersion, getSourcePath, hashCode, setJavadocPath, setLibrary, setModuleVersion, setSourcePath`

    - ### Methods inherited from class org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

      `addClasspathEntry, getAccessRules, getEntryAttributes, getNativeLibraryLocation, getPath, isExported, normalizePath, setAccessRules, setExported, setNativeLibraryLocation, setPath, writeEntryAttributes`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Library

          public Library​(Node node,
                         org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)

    - #### Library

          public Library​(FileReference library)

  - ### Method Detail

    - #### getKind

          public java.lang.String getKind()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractLibrary`